<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>
    <body>
        <main>
            <div>
                <h1>{{ todoitem.name }} </h1>
            </div>
            <div><a href="{% url 'todo_list_edit' todoitem.id %}">Edit</a></div>
            <div><a href="{% url 'todo_list_delete' todoitem.id %}">Delete</a></div>

            <h2>Tasks</h2>
            <table>
                <thread>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                    <tbody>
                        {% for item in todoitem.items.all %}
                        <tr>
                            <td><a href="{% url 'todo_item_update' item.id %}">{{item.task}}</a></td>
                            <td>{{item.due_date}}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </thread>
            </table>
        </main>
    </body>
</html>
